forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kraftfeld <>
Subject Re: integrate authentication-fw in forrest 0.8
Date Wed, 27 Jun 2007 02:49:26 GMT

thank you for your answers.
I hate to bother you with this, but now i´m facing problems to round up 
cocoon-2.2.0-dev :(

According to
forrest is now "...using their SVN r351990 on 2005-12-08..." of 

So i tried to check out revision 351990 of cocoon/trunk, which works 
fine for the basic components,
but as far as i can tell, there´re problems checking out external 
targets i.e.
Error URL: '' doesn´t exist

That said, my new question is how to gather a functional copy of 
cocoon-2.2.0-dev in a revision that also suits forrest.
(One might add that i´m not tooo common with svn by now, but this can´t 
be that hard, right? :))


Thorsten Scherler schrieb:
> On Sun, 2007-06-24 at 09:14 +0100, llamar burgess wrote:
>> lo,
>> is there any working solution for integrating cocoon blocks (esp. 
>> authentication-fw, session, databases) into forrest 0.8 by now?
>> I found an example for forrest 0.6 on the net @ 
>> and an older wiki entry @ 
>>, but these 
>> solutions do not seem to work for me.
>> Furthermore i found some interesting discussions on the mailing lists 
>> about integrating cocoon blocks by forrest plugins, but no lead to any 
>> results...
>> The Problem i ran into following the suggestions from 
>> is, that building the authentication-fw and 
>> session block in cocoon (2.1.7), also seems to change the 
>> cocoon-2.1.7.jar itself.
> Forrest is using a certain revision of Apache Cocoon 2.2.0-dev. We need
> to update our cocoon revision to the current trunk of cocoon but nobody
> took the time till now.
>> Without adding the cocoon-2.1.7.jar to forrest i get errors like:
>> SCHWERWIEGEND: Errors during initializing Apache Cocoon 2.2.0-dev : 
>> Unknown component type 'session-manager' at 
>> file:/C:/apache-tomcat-6.0.10/webapps/enter/WEB-INF/xconf/forrest-core.xconf:848:51
>> ...
>> (i added things to the forrest-core.xconf)
>> And then by adding the cocoon-2.1.7.jar to forrest i get the following 
>> error:
>> SCHWERWIEGEND: Servlet /enter threw load() exception
>> java.lang.NoClassDefFoundError: 
>> Lorg/apache/excalibur/instrument/manager/DefaultInstrumentManager;
>> ...
>> I run this forrest project as webapp => these failures show up in 
>> tomcats localhost.log
>> Any thoughts?
> Yes, you need to compile cocoon-2.2.0-dev and use the outcoming jar for
> forrest. Like said we are ATM very outdated regarding the revision and
> it seems nobody has time to try an update.
> salu2
>> thx
>> llamar

View raw message